Rebuild the compacted reference topic for brands
1 min
POST
https://api.upstartcommerce.com/pim/internal/brands/reference-topic/bootstrap
Responses
202
- ReferenceTopicBootstrap.json
409
- ReferenceTopicBootstrap.json
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/internal/brands/reference-topic/bootstrap \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/internal/brands/reference-topic/bootstrap", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/internal/brands/reference-topic/bootstrap")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/internal/brands/reference-topic/bootstrap"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
202
// The run was started; watch the logs and the topic for the outcome.
{}409
// A run for this tenant and entity type is already in flight; nothing was started.
{}